## accountsservice 0.6.37

=== debian/changelog ===
accountsservice (0.6.37-3) unstable; urgency=medium

  * Do not override DefaultStandardOutput, it could be helpful for sysadmins
    to determine how output gets logged. Thanks to Josh Triplett for
    reporting this. (Closes: #741124)
  * Refresh 0009-language-tools.patch.
  * Enable 0009-language-tools.patch. (Closes: #756259)

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Jul 2014 11:43:01 +0100

accountsservice (0.6.37-2) unstable; urgency=medium

  * Point libglib2 build dependency at the proper version.
    Thanks to Breno Leitao for the report and patch. (Closes: #753415)

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Jul 2014 16:19:39 +0100

accountsservice (0.6.37-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop 9001-memory_leaks.patch, no longer needed.
  * Disable 2001-filtering_out_users.patch, no longer applicable.
  * Update libaccountsservice0.symbols file.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Apr 2014 14:41:18 +0100

accountsservice (0.6.34-2) unstable; urgency=low

  * Re-enable systemd support (Closes: #723857):
    - Revert "Disable systemd support:"
    - Revert "Strip SystemdService out of org.freedesktop.Accounts.service
      service file."
    - Enable systemd on Linux only.
    - Use dh-systemd.
    - If it is being used, let systemd handle restarting the daemon in
      maintscripts.
  * Fix various memory leaks. Thanks to Roberto Paleari for the bug
    report. (Closes: #723745)

 -- Alessio Treglia <alessio@debian.org>  Sat, 21 Sep 2013 22:56:06 +0100

accountsservice (0.6.34-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update symbols.

 -- Alessio Treglia <alessio@debian.org>  Tue, 02 Jul 2013 04:12:44 +0100

accountsservice (0.6.30-2) unstable; urgency=low

  * ACK NMU.
  * Upload to unstable.
  * Fix VCS canonical URLs.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:06:25 +0200

accountsservice (0.6.30-1.1) experimental; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Use ./autogen.sh in dh_autoreconf to fix binary-arch build failure

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 25 Mar 2013 17:44:33 +0100

accountsservice (0.6.30-1) experimental; urgency=low

  * New upstream release:
    - Minor source clean ups
    - Crasher fix on 32bit systems (Closes: #694727)
    - Add get_user_by_id
    - Don't lose sessions list for users at startup
    - Add API for detecting when accountsservice is unavailable.
  * Refresh patches.
  * Refresh symbols.
  * Bump build-deps on glib-2.0 >= 2.34.
  * Add gtk-doc-tools to Build-Depends-Indep.
  * Build libaccountsservice's documentation. (Closes: #698290)
  * Enable hardening.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 14 Dec 2012 09:33:13 +0000

=== debian/control ===
Source: accountsservice
Section: admin
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 dh-systemd,
 gir1.2-freedesktop,
 gir1.2-glib-2.0 (>= 1.34),
 gnome-doc-utils,
 gobject-introspection (>= 0.9.12-4~),
 intltool,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.37.3),
 libpolkit-gobject-1-dev,
 libsystemd-daemon-dev (>= 186) [linux-any],
 libsystemd-login-dev (>= 186) [linux-any],
 xmlto
Build-Depends-Indep:
 gtk-doc-tools
Standards-Version: 3.9.5
Homepage: http://cgit.freedesktop.org/accountsservice/
Vcs-Git: git://anonscm.debian.org/collab-maint/accountsservice.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/accountsservice.git

Package: accountsservice
Architecture: any
Depends:
 dbus,
 libaccountsservice0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 gnome-control-center
Description: query and manipulate user account information
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.

Package: libaccountsservice0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 accountsservice (<< 0.6.5)
Description: query and manipulate user account information - shared libraries
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the shared libraries of the
 AccountService library.

Package: libaccountsservice-dev
Section: libdevel
Architecture: any
Depends:
 libaccountsservice0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.25.11),
 libpolkit-gobject-1-dev,
 ${misc:Depends}
Description: query and manipulate user account information - header files
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the development files for the
 AccountService library.

Package: gir1.2-accountsservice-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Breaks:
 gir1.2-accountservice-1.0 (<< 0.6.12-4)
Description: GObject introspection data for AccountService
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the introspection data for the
 AccountService library.

Package: libaccountsservice-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libaccountsservice0 (= ${binary:Version}),
 ${misc:Depends}
Description: query and manipulate user account information - debug
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the debugging symbols for the
 AccountService library.

Package: libaccountsservice-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: query and manipulate user account information - documentation
 The AccountService project provides a set of D-Bus
 interfaces for querying and manipulating user account
 information and an implementation of these interfaces,
 based on the useradd, usermod and userdel commands.
 .
 This package provides the developers reference for the
 AccountService library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with=autoreconf,systemd

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -l src:debian/libaccountsservice-dev/usr/share/gir-1.0

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-static=no \
		--with-systemdsystemunitdir=/lib/systemd/system

# Disabled to avoid FTBFS
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	cat debian/accountsservice.install debian/accountsservice.install.linux.in > debian/accountsservice.install.linux
	dh_install
	# patch is only applied conditionally, only install when present
	if [ -d debian/tmp/usr/share/language-tools ]; then \
	    cp -r debian/tmp/usr/share/language-tools debian/accountsservice/usr/share/; \
	fi

override_dh_strip:
	dh_strip -plibaccountsservice0 --dbg-package=libaccountsservice-dbg
	dh_strip --remaining-packages

=== debian/watch ===
version=3
http://cgit.freedesktop.org/accountsservice \
/accountsservice/snapshot/accountsservice-([\d\.]+)\.tar\.gz

## accountsservice 0.6.40

=== debian/changelog ===
accountsservice (0.6.40-2ubuntu10) xenial; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - let inactive user sessions update their own datas without 
      triggering authentification dialogs. Indicator-messages does that to
      indicate to the greeter that the user received messages, which
      currently leads to auth dialog to be stacked in the locked session,
      thanks Alkis Georgopoulos (lp: #1512002)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Apr 2016 11:23:47 +0200

accountsservice (0.6.40-2ubuntu9) xenial; urgency=medium

  * debian/patches/0005-gdm_config_file_path_ubuntu.patch:
    Copy patch from Debian packaging to correct the path to the
    GDM config file. (LP: #1547297)
  * debian/patches/0007-add-lightdm-support.patch:
    Update paths to gdm config directory

 -- Tim Lunn <tim@feathertop.org>  Wed, 06 Apr 2016 10:59:09 +1000

accountsservice (0.6.40-2ubuntu8) xenial; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make the language2locale script return a locale name also when
      the argument is a complete locale name including codeset
      (LP: #1556684).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 16 Mar 2016 12:42:00 +0100

accountsservice (0.6.40-2ubuntu7) xenial; urgency=medium

  * Drop 0014-pam-pin.patch and 0015-pam-pin-ubuntu.patch, along with
    the associated libpam-pin package.  Added a Breaks on the old
    package to get it off systems too.  These patches were from an
    upstream bug but they never made progress there.  And we never used
    the module in Ubuntu Touch like we planned either.  So I'm dropping
    it before the LTS is released.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 08 Jan 2016 12:38:51 -0500

accountsservice (0.6.40-2ubuntu6) xenial; urgency=high

  * Build-depend on libsystemd-dev, rather than split name dev packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Dec 2015 09:59:29 +0000

accountsservice (0.6.40-2ubuntu5) wily; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Correction of a code inconsistency introduced in version
      0.6.40-2ubuntu2 (LP: #1502921).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 06 Oct 2015 06:51:00 +0200

accountsservice (0.6.40-2ubuntu4) wily; urgency=medium

  * debian/patches/0007-add-lightdm-support.patch:
    - Use [Seat:*] instead of deprecated [SeatDefaults]

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 14 Aug 2015 09:02:59 +1200

accountsservice (0.6.40-2ubuntu3) wily; urgency=medium

  * debian/control:
    - Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Aug 2015 12:58:21 +1200

accountsservice (0.6.40-2ubuntu2) wily; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make it possible to set the "Catalan - valencia" language from
      the Ubuntu GNOME GUI (LP: #1440275).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 29 Jun 2015 22:43:00 +0200

accountsservice (0.6.40-2ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining Ubuntu changes (LP: #1466289):
  * debian/compat:
    - Use version 9.
  * debian/control:
    - Use debhelper version 9.
    - Add libpam-pin build-depends: dh-exec, libgcr-3-dev, libgcrypt11-dev,
      libgnutls-dev, libpam0g-dev.
    - Use multi-arch.
    - libaccountsservice-dev depends on gir1.2-accountsservice-1.0, not
      libgirepository1.0-dev.
    - Add libpam-pin package.
  * debian/rules:
    - Use -O1 instead of -O2 because it works around a problem with
      the manager object never reporting its readiness to users of
      libaccountsservice.  Hoping this fixes LP: #1351308
    - Don't multi-arch the libexec dir
  * debian/gir1.2-accountsservice-1.0.install:
  * debian/libaccountsservice-dev.install:
  * debian/libaccountsservice0.install:
    - Update for multiarch paths.
  * debian/accountsservice.postinst:
    - don't try restarting the service from the maintainer script after 
      upgrades.
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * libpam-pin.install:
    - Install PAM pin support from 0014-pam-pin.patch +
      0015-pam-pin-ubuntu.patch
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0001-Move-cache-cleanup-out-into-a-common-function-and-cl.patch:
    - Move cache cleanup out into a common function and clean up icon too.
  * debian/patches/0002-create-and-manage-groups-like-on-a-ubuntu-system.patch:
    - Create and manage groups like on an Ubuntu system.
  * debian/patches/0002-On-startup-clean-out-the-data-of-removed-users.patch:
    - On startup, clean out the data of removed users.
  * debian/patches/0007-add-lightdm-support.patch:
    - Modified from Debian version.
  * debian/patches/0008-nopasswdlogin-group.patch:
    - When setting a user to have no password, also add them to the
      'nopasswdlogin' group.
  * debian/patches/0009-language-tools.patch:
    - Modified from Debian version.
  * debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0014-pam-pin.patch:
    - Add PIN module for PIN codes.
  * debian/patches/0015-pam-pin-ubuntu.patch:
    - Ubuntu integration tweaks to PAM PIN module.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0020-support-login.defs.patch:
    - Revert upstream patch that dropped support for using login.defs


=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  dh-autoreconf,
  dh-systemd,
+ dh-exec,
  gir1.2-freedesktop,
  gir1.2-glib-2.0 (>= 1.34),
  gnome-doc-utils,
  gobject-introspection (>= 0.9.12-4~),
+ gtk-doc-tools,
  intltool,
+ libgcr-3-dev,
+ libgcrypt20-dev,
  libgirepository1.0-dev (>= 0.9.12),
  libglib2.0-dev (>= 2.37.3),
+ libgnutls-dev,
+ libpam0g-dev,
  libpolkit-gobject-1-dev,
- libsystemd-daemon-dev (>= 186) [linux-any],
- libsystemd-login-dev (>= 186) [linux-any],
+ libsystemd-dev (>= 186) [linux-any],
  xmlto
-Build-Depends-Indep:
- gtk-doc-tools
-Standards-Version: 3.9.5
-Homepage: http://cgit.freedesktop.org/accountsservice/
+Standards-Version: 3.9.6
+Homepage: http://www.freedesktop.org/wiki/Software/AccountsService/
 Vcs-Git: git://anonscm.debian.org/collab-maint/accountsservice.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/accountsservice.git
 
@@ -33,6 +37,8 @@
  ${shlibs:Depends}
 Suggests:
  gnome-control-center
+Breaks:
+ libpam-pin
 Description: query and manipulate user account information
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account
@@ -42,6 +48,7 @@
 Package: libaccountsservice0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -59,9 +66,10 @@
 Package: libaccountsservice-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libaccountsservice0 (= ${binary:Version}),
- libgirepository1.0-dev (>= 0.9.12),
+ gir1.2-accountsservice-1.0 (= ${binary:Version}),
  libglib2.0-dev (>= 2.25.11),
  libpolkit-gobject-1-dev,
  ${misc:Depends}
@@ -77,6 +85,7 @@
 Package: gir1.2-accountsservice-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${gir:Depends},
  ${misc:Depends},
@@ -98,6 +107,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends:
  libaccountsservice0 (= ${binary:Version}),
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_CPPFLAGS_MAINT_APPEND=-O1
+export DEB_CFLAGS_MAINT_APPEND=-O1
+export DEB_CXXFLAGS_MAINT_APPEND=-O1
 
 export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
@@ -12,7 +16,8 @@
 	dh $@ --parallel --with=autoreconf,systemd
 
 override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
+	gtkdocize
+	dh_autoreconf
 
 override_dh_shlibdeps:
 	dh_shlibdeps
@@ -22,6 +27,7 @@
 	dh_auto_configure -- \
 		--enable-gtk-doc \
 		--enable-static=no \
+		--libexecdir=/usr/lib/accountsservice \
 		--with-systemdsystemunitdir=/lib/systemd/system
 
 # Disabled to avoid FTBFS

## accountsservice 0.6.42

=== debian/changelog ===
accountsservice (0.6.42-0ubuntu2) zesty; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make list of display language options include 'en' even if the
      English language pack is not installed (LP: #1665627).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 18 Feb 2017 23:54:00 +0100

accountsservice (0.6.42-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release.
    - allow a user to change his own data even if he's remote
    - add way to set password hint independent of password
    - conform to modern systemd library naming scheme
    - disable GVFS support in service, since it's not needed and has
      bad side effects
  * Drop patches applied in new version:
    - 0014-libsystemd.patch
    - change-own-data-inactive.patch
  * Add debian/patches/wtmp-fix-logout.patch:
    - Backport 0.6.43 commit to fix logout records when a user
      shuts down or restarts their computer (LP: #1443052)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2016 09:04:41 -0400

accountsservice (0.6.40-2ubuntu15) yakkety; urgency=medium

  [ Laurent Bigonville ]
  *  Drop the -dbg package and rely on the automatically built -dbgsym one

  [ Jeremy Bicha ]
  * 0014-libsystemd.patch:
    - Backport patch to adapt to systemd 209, fixes missing "Switch User"
      functionality in GNOME Shell (LP: #1577049)
  * debian/control:
    - Bump minimum systemd for above patch
    - Drop build-dependencies only needed for obsolete pam-pin

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2016 21:15:10 -0400

accountsservice (0.6.40-2ubuntu14) yakkety; urgency=medium

  * Build-depend on libgnutls28-dev instead of libgnutls-dev, which was
    never renamed in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jul 2016 18:19:03 -0700

accountsservice (0.6.40-2ubuntu13.1) yakkety; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - use matching tags...

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 May 2016 17:03:31 +0200

accountsservice (0.6.40-2ubuntu13) yakkety; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - restore the allow_active/inactive rules they are needed, fix regression
      where the user account panel can't change the user own image/name
      (lp: #1581567)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 May 2016 16:44:45 +0200

accountsservice (0.6.40-2ubuntu12) yakkety; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - updated to use allow_any=yes to avoid displaying unndeed dialog for
      remote sessions as well, thanks Alkis Georgopoulos
      (lp: #1512002)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 29 Apr 2016 16:15:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,24 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20160114~),
  dh-autoreconf,
  dh-systemd,
- dh-exec,
  gir1.2-freedesktop,
  gir1.2-glib-2.0 (>= 1.34),
  gnome-doc-utils,
  gobject-introspection (>= 0.9.12-4~),
  gtk-doc-tools,
  intltool,
- libgcr-3-dev,
- libgcrypt20-dev,
  libgirepository1.0-dev (>= 0.9.12),
  libglib2.0-dev (>= 2.37.3),
- libgnutls-dev,
- libpam0g-dev,
  libpolkit-gobject-1-dev,
- libsystemd-dev (>= 186) [linux-any],
+ libsystemd-dev (>= 209) [linux-any],
  xmlto
-Standards-Version: 3.9.6
-Homepage: http://www.freedesktop.org/wiki/Software/AccountsService/
-Vcs-Git: git://anonscm.debian.org/collab-maint/accountsservice.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/accountsservice.git
+Standards-Version: 3.9.8
+Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/accountsservice.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/accountsservice.git
 
 Package: accountsservice
 Architecture: any
@@ -68,8 +63,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ gir1.2-accountsservice-1.0 (= ${binary:Version}),
  libaccountsservice0 (= ${binary:Version}),
- gir1.2-accountsservice-1.0 (= ${binary:Version}),
  libglib2.0-dev (>= 2.25.11),
  libpolkit-gobject-1-dev,
  ${misc:Depends}
@@ -103,23 +98,6 @@
  This package provides the introspection data for the
  AccountService library.
 
-Package: libaccountsservice-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libaccountsservice0 (= ${binary:Version}),
- ${misc:Depends}
-Description: query and manipulate user account information - debug
- The AccountService project provides a set of D-Bus
- interfaces for querying and manipulating user account
- information and an implementation of these interfaces,
- based on the useradd, usermod and userdel commands.
- .
- This package provides the debugging symbols for the
- AccountService library.
-
 Package: libaccountsservice-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_install:
+override_dh_install-arch:
 	cat debian/accountsservice.install debian/accountsservice.install.linux.in > debian/accountsservice.install.linux
 	dh_install
 	# patch is only applied conditionally, only install when present
@@ -45,5 +45,5 @@
 	fi
 
 override_dh_strip:
-	dh_strip -plibaccountsservice0 --dbg-package=libaccountsservice-dbg
+	dh_strip -plibaccountsservice0 --dbgsym-migration='libaccountsservice-dbg (<< 0.6.40-2ubuntu15~)'
 	dh_strip --remaining-packages

## accountsservice 0.6.43

=== debian/changelog ===
accountsservice (0.6.43-1) unstable; urgency=medium

  * Adopt package under pkg-freedesktop. Closes: #842851.
  * Add myself to Uploaders.
  * New upstream release. Closes: #841672.
  * debian/patches/0002-create-and-manage-groups-like-on-a-debian-system.patch,
    debian/patches/1002-dont-override-standardoutput.patch:
    + Updated to apply with the new version.
  * debian/patches/0014-libsystemd.patch:
    + Removed, applied upstream.
  * Refreshed all patches.
  * debian/rules: Fail the build if the symbols file is outdated.
  * debian/libaccountsservice0.symbols: Updated for new symbols.
  * Use dh-exec to install linux-only files.
  * Unconditionally install language-tools.
  * debhelper enables autoreconf, systemd and parallel builds by default
    in compat 10, no need to set those anymore.
  * debian/rules: Don't call dh_girepository directly. Use dh gir sequence
    instead.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 29 Dec 2016 16:17:42 +0100

accountsservice (0.6.40-4) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * QA upload.
  * Use debhelper v10
  * Add Multi-Arch: foreign to -doc package
  * Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Update Vcs-Browser URL

  [ Laurent Bigonville ]
  * debian/rules: Fix FTBFS when building arch:all packages only.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #805989)
  * 0015-debian-nologin-path.patch: Use debian specific path for nologin executable
    (Closes: #805086)
  * Drop the -dbg package and rely on the automatically built -dbgsym one
  * debian/control: Use https for the Vcs-* and Homepage URL's
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)

  [ Alessio Treglia ]
  * Multiarchify-ication.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 26 Nov 2016 22:28:05 +0100

accountsservice (0.6.40-3) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Update b-d according to libsystemd transition.
  * libaccountsservice-dev dependencies fix.

  [ Michael Biebl ]
  * Transition to libsystemd. (Closes: #779740)

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Aug 2015 02:45:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: accountsservice
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends:
- debhelper (>= 9.20160114~),
- dh-autoreconf,
- dh-systemd,
+ debhelper (>= 10),
+ dh-exec (>= 0.13),
  gir1.2-freedesktop,
  gir1.2-glib-2.0 (>= 1.34),
  gnome-doc-utils,
@@ -21,7 +20,7 @@
 Standards-Version: 3.9.8
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/accountsservice.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/accountsservice.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/accountsservice.git
 
 Package: accountsservice
 Architecture: any
@@ -32,8 +31,6 @@
  ${shlibs:Depends}
 Suggests:
  gnome-control-center
-Breaks:
- libpam-pin
 Description: query and manipulate user account information
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account
@@ -101,6 +98,7 @@
 Package: libaccountsservice-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: query and manipulate user account information - documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with=gir

override_dh_autoreconf:
	gtkdocize
	dh_autoreconf

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-static=no \
		--libexecdir=/usr/lib/accountsservice \
		--with-systemdsystemunitdir=/lib/systemd/system

# Disabled to avoid FTBFS
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip -plibaccountsservice0 --dbgsym-migration='libaccountsservice-dbg (<< 0.6.40-4~)'
	dh_strip --remaining-packages

## accountsservice 0.6.45

=== debian/changelog ===
accountsservice (0.6.45-1ubuntu1) bionic; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0001-Move-cache-cleanup-out-into-a-common-function-and-cl.patch:
    - Move cache cleanup out into a common function and clean up icon too.
  * debian/patches/0002-On-startup-clean-out-the-data-of-removed-users.patch:
    - On startup, clean out the data of removed users.
  * debian/patches/0005-gdm_config_file_path.patch:
    - We use custom.conf, not daemon.conf
  * debian/patches/0008-nopasswdlogin-group.patch:
    - When setting a user to have no password, also add them to the
      'nopasswdlogin' group.
  * debian/patches/0009-language-tools.patch:
    - Modified from Debian version.
  * debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0020-support-login.defs.patch:
    - Revert upstream patch that dropped support for using login.defs
      to determine min and max UID for system users. We still want
      that support in at least Ubuntu Touch.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch those
      same files in /var/lib/extrausers/, if they exist.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 18 Dec 2017 15:42:18 +1300

accountsservice (0.6.45-1) unstable; urgency=medium

  * New upstream release.
  * debian/libaccountsservice0.symbols: add new symbols.
  * debian/control: bump Standards-Version to 4.1.0; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 Sep 2017 23:20:10 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libpolkit-gobject-1-dev,
  libsystemd-dev (>= 209) [linux-any],
  xmlto
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/accountsservice.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/accountsservice.git

=== debian/watch ===
version=3
http://www.freedesktop.org/software/accountsservice/ \
accountsservice-([\d\.]+)\.tar\.xz

## accountsservice 0.6.50

=== debian/changelog ===
accountsservice (0.6.50-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1789502)
  * debian/control:
    - Bump minimum version of libglib2.0-dev
  * debian/rules:
  * debian/patches/0005-gdm_config_file_path.patch:
    - Set config file using configure args
  * debian/libaccountsservice0.symbols:
    - Updated
  * debian/patches/0001-Move-cache-cleanup-out-into-a-common-function-and-cl.patch:
  * debian/patches/0002-On-startup-clean-out-the-data-of-removed-users.patch:
  * debian/patches/1002-dont-override-standardoutput.patch:
    - Applied upstream
  * debian/patches/0015-debian-nologin-path.patch:
    - No longer needed
  * debian/patches/0008-nopasswdlogin-group.patch:
  * debian/patches/2001-filtering_out_users.patch:
    - Remove unused patches

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 12 Nov 2018 10:52:43 +1300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  gtk-doc-tools,
  intltool,
  libgirepository1.0-dev (>= 0.9.12),
- libglib2.0-dev (>= 2.37.3),
+ libglib2.0-dev (>= 2.44),
  libpolkit-gobject-1-dev,
  libsystemd-dev (>= 209) [linux-any],
  xmlto

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,8 @@
 		--enable-gtk-doc \
 		--enable-static=no \
 		--libexecdir=/usr/lib/accountsservice \
-		--with-systemdsystemunitdir=/lib/systemd/system
+		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-gdmconffile=/etc/gdm3/custom.conf
 
 # Disabled to avoid FTBFS
 override_dh_auto_test:

## accountsservice 0.6.55

=== meson_options.txt ===
option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')
option('gdmconffile', type: 'string', value: '/etc/gdm/custom.conf', description: 'GDM configuration file')

option('admin_group', type: 'string', value: '', description: 'Set group for administrative accounts')
option('user_heuristics', type: 'boolean', value: true, description: 'Enable heuristics for guessing system vs. human users in the range 500-minimum-uid')
option('extra_admin_groups', type: 'array', value: [], description: 'Comma-separated list of extra groups that administrator users are part of')
option('minimum_uid', type: 'integer', value: 1000, description: 'Set minimum uid for human users')

option('systemd', type: 'boolean', value: false, description: 'Use systemd')
option('elogind', type: 'boolean', value: false, description: 'Use elogind')

option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('docbook', type: 'boolean', value: false, description: 'build documentation (requires xmlto)')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

=== debian/changelog ===
accountsservice (0.6.55-3) unstable; urgency=medium

  * Team upload
  * d/rules: Enable libsystemd dependency, for logind integration.
    This appears to have got lost in the switch to the Meson build system,
    where both libsystemd and libelogind support for communicating with a
    logind implementation are disabled by default (they are mutually exclusive).
    In particular, this fixes the "Switch User..." menu option in GNOME
    Shell, which disappeared because libaccountsservice didn't tell GNOME
    Shell that user-switching was possible.
    This should work equally well for elogind due to libelogind's libsystemd
    ABI compatibility, although I haven't tried that configuration.
    (Closes: #968394)
  * d/control: accountsservice Recommends default-logind | logind.
    About half of accountsservice's functionality is a higher-level API
    over either systemd-logind, or something like elogind that is compatible
    enough to be a reasonable substitute (or ConsoleKit, but that's
    dead upstream and no longer in Debian).
  * d/rules: Explicitly enable GObject-Introspection.
    It's enabled by default, but explicit is better than implicit for this
    sort of thing.
  * d/rules: Simplify how we choose whether to enable gtk-doc.
    Enable it if and only if we are building the libaccountsservice-doc
    package.
  * d/p/build-Add-missing-pkg-config-Requires.private-dependencie.patch:
    Add patch to fix missing pkg-config dependencies
  * d/tests/build: Add a smoke-test for building against
    libaccountsservice with pkg-config
  * d/tests/pygi.py: Add a smoke-test.
    When run from a full desktop session, this should produce
    reasonable-looking results. We don't make any assertions about its
    output because we can't know how an automated test system will be
    configured, but it should at least run successfully and exit 0.

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Aug 2020 15:31:50 +0100

accountsservice (0.6.55-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Move the daemon to /usr/libexec now that's allowed in the policy

  [ Philip Withnall ]
  * Update group management patches to respect `extra_admin_groups` option.

  [ Iain Lane ]
  * Add patch to not crash in the library when the daemon goes away
    (Closes: #948228) (LP: #1843982)

 -- Iain Lane <laney@debian.org>  Tue, 05 May 2020 16:31:00 +0100

accountsservice (0.6.55-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.55 (Closes: #901308)
  * Bump build-dependencies and switch to meson
  * d/p/0002-create-and-manage-groups-like-on-a-debian-system.patch,
    d/p/0005-gdm_config_file_path.patch: Refreshed
  * d/patches/0007-add-lightdm-support.patch,
    d/patches/0009-language-tools.patch: Refreshed using ubuntu patches
  * Drop d/p/1002-dont-override-standardoutput.patch, applied upstream
  * d/p/0015-debian-nologin-path.patch: Dropped not needed anymore
  * d/p/0016-user-fix-insufficient-path-prefix-check.patch: Dropped, applied
    upstream
  * debian/libaccountsservice0.symbols: Add newly exported symbols
  * debian/gir1.2-accountsservice-1.0.install: Install the .typelib file in a
    multiarch directory
  * debian/libaccountsservice0.symbols: Add the Build-Depends-Package field
  * debian/rules: There are no tests defined, so stop overriding dh_auto_test
    as it's useless
  * libaccountsservice-doc: Install the documentation in /usr/share/gtk-doc/
  * Support the nodoc build-profile
  * Bump debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1 (no further changes)
  * debian/accountsservice.postinst: Do not restart accounts-daemon in
    postinst (Closes: #866507)
  * debian/watch: Use https://
  * Stop using dh-exec
  * d/p/1001-move-dbus-conf-file.patch: Move D-Bus conf file to
    /usr/share/dbus-1/system.d
  * debian/control, debian/rules: Remove ancient Breaks/Replaces

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Oct 2019 13:12:38 +0200

accountsservice (0.6.45-2) unstable; urgency=medium

  [ Robert Ancell ]
  * debian/patches/0006-adduser_instead_of_useradd.patch:
    - Merged into 0002-create-and-manage-groups-like-on-a-debian-system.patch
  * debian/patches/*:
    - Removed unused patches.

  [ Emilio Pozuelo Monfort ]
  * debian/control: Update Vcs-* for move to salsa.debian.org.

  [ Salvatore Bonaccorso ]
  * user: fix insufficient path prefix check (CVE-2018-14036)
    (Closes: #903828)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Mar 2019 11:05:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,31 +4,34 @@
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends:
- debhelper (>= 10),
- dh-exec (>= 0.13),
- gir1.2-freedesktop,
- gir1.2-glib-2.0 (>= 1.34),
- gnome-doc-utils,
+ debhelper (>= 12),
+ meson (>= 0.46.0),
  gobject-introspection (>= 0.9.12-4~),
- gtk-doc-tools,
  intltool,
- libgirepository1.0-dev (>= 0.9.12),
+ libgirepository1.0-dev (>= 1.34),
  libglib2.0-dev (>= 2.44),
  libpolkit-gobject-1-dev,
  libsystemd-dev (>= 209) [linux-any],
- xmlto
-Standards-Version: 4.1.0
+ xmlto,
+ policykit-1,
+ libdbus-1-dev (>= 1.9.18)
+Build-Depends-Indep:
+ gtk-doc-tools <!nodoc>,
+ libglib2.0-doc <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://www.freedesktop.org/wiki/Software/AccountsService/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/accountsservice.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/accountsservice.git
+Vcs-Git: https://salsa.debian.org/freedesktop-team/accountsservice.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/accountsservice
 
 Package: accountsservice
 Architecture: any
 Depends:
- dbus,
+ dbus (>= 1.9.18),
  libaccountsservice0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends:
+ default-logind | logind,
 Suggests:
  gnome-control-center
 Description: query and manipulate user account information
@@ -77,15 +80,11 @@
 Package: gir1.2-accountsservice-1.0
 Section: introspection
 Architecture: any
-Multi-Arch: foreign
+Multi-Arch: same
 Depends:
  ${gir:Depends},
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- gir1.2-accountservice-1.0 (<< 0.6.12-4)
-Breaks:
- gir1.2-accountservice-1.0 (<< 0.6.12-4)
 Description: GObject introspection data for AccountService
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account
@@ -101,6 +100,7 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: query and manipulate user account information - documentation
  The AccountService project provides a set of D-Bus
  interfaces for querying and manipulating user account

=== debian/watch ===
version=3
https://www.freedesktop.org/software/accountsservice/ \
accountsservice-([\d\.]+)\.tar\.xz
